Make xt_xmap_distdir work when less data than expected gets packed
Status: New Start date: 07/31/2014

Priority: Normal Due date:  

Assignee:  % Done: 30%

Category:  Estimated time: 0:00 hour

Target version:    

Description

commit:daacfe17cb9124f4f0f3763858cc94ff666efb4a fixes a problem in xmap_all2all that is also present in the distributed directory

variant: if the get_pack_size method of an index list returns a value that is larger than the actual advance of position that happens

due to the pack method, distdir fails.

Steps to reproduce: simply add one to the MPI_Packsize count argument of e.g. source:src/xt_idxvec.c#L369

History

#1 - 07/31/2014 10:39 AM - Thomas Jahns

As a corollary it would be nice to extend the individual index list class tests to check that get_pack_size and the position advancement that results

from pack are identical.

#2 - 08/04/2014 11:31 AM - Thomas Jahns

- % Done changed from 0 to 30

It has turned out that consolidating the get_pack_size/pack/unpack methods test in one place (commit:414899864f) and adding tests for the sizes

(commit:42fe96747a) is sufficient to get the minor part of this issue done.
